Bug 257879 - graphics/drm-kmod: i915kms doesn't load from /boot/loader.conf, 13.0-RELEASE
Summary: graphics/drm-kmod: i915kms doesn't load from /boot/loader.conf, 13.0-RELEASE
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-16 05:22 UTC by Mack Wang
Modified: 2021-09-20 17:20 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mack Wang 2021-08-16 05:22:39 UTC
Dell Latitude 7490, Core i7-8650U, confirm latest UEFI firmware. i915kms_load="YES" doesn't work in /boot/loader.conf, have to use kld_list="i915kms" in /etc/rc.conf. 

Referring to bug #202538, I think it should be a bug somewhere in the graphics/drm-kmod port.
Comment 1 Warner Losh freebsd_committer 2021-08-16 12:35:28 UTC
This is a known problem. You must load i915kms from early boot rc script instead. The Linux KPI code uses VM features too early when loaded from the boot loader. It's unlikely this will be fixed.
Comment 2 Rodrigo N. Hernandez freebsd_triage 2021-08-17 03:43:04 UTC
It makes sense this PR be closed also by "Closed Overcome By Events"?

The new(correct) way to load driver is explained in drm-fbsd13-kmod PKG message.
It's also explained in the wiki page (https://wiki.freebsd.org/Graphics)
Handbook needs to be updated for this subject "5.4.5. Video Cards" (https://docs.freebsd.org/en/books/handbook/x11/#x-config)